org.apache.cassandra.service

## Interface IMigrationListener

- All Known Implementing Classes:
    Auth.MigrationListener

      public interface IMigrationListener

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onCreateColumnFamily(java.lang.String ksName, java.lang.String cfName)`
    `void` | `onCreateKeyspace(java.lang.String ksName)`
    `void` | `onDropColumnFamily(java.lang.String ksName, java.lang.String cfName)`
    `void` | `onDropKeyspace(java.lang.String ksName)`
    `void` | `onUpdateColumnFamily(java.lang.String ksName, java.lang.String cfName)`
    `void` | `onUpdateKeyspace(java.lang.String ksName)`

- - ### Method Detail

    - #### onCreateKeyspace

          void onCreateKeyspace(java.lang.String ksName)

    - #### onCreateColumnFamily

          void onCreateColumnFamily(java.lang.String ksName,
                                  java.lang.String cfName)

    - #### onUpdateKeyspace

          void onUpdateKeyspace(java.lang.String ksName)

    - #### onUpdateColumnFamily

          void onUpdateColumnFamily(java.lang.String ksName,
                                  java.lang.String cfName)

    - #### onDropKeyspace

          void onDropKeyspace(java.lang.String ksName)

    - #### onDropColumnFamily

          void onDropColumnFamily(java.lang.String ksName,
                                java.lang.String cfName)

Copyright © 2014 The Apache Software Foundation